#secEspecialidades {
    margin: 30px 0;
}

.contEspecialidades {
    width: 50%;
    max-width: 700px;
    height: 200px;
    background-color: #9fa5c8a1;
    display: flex;
    flex-direction: row;
    margin: 30px auto;
    -moz-border-radius:8px;
    -webkit-border-radius:8px;
    -o-border-radius: 8px;
    border-radius:8px;
    padding: 30px;
}

.contFotoEspecialista {
    width: 30%;
    overflow: hidden;     /* Evita que sobresalga */
}

.descEspecialista {
    padding-top: 10px;
    padding-left: 30px;
    width: 70%;
    margin: 3px 0;   /* Reduce la separación vertical */
    line-height: 1;  /* Opcional: compacta más el texto */
}

.fotoEsp {
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
}

.nomEsp {
    font-size: 1.7em;
}

.matriculaEsp {
    font-size: 1.2em;
}

.espProf {
    font-size: 1.3em;
}

.agregarEsp {
    margin: 20px;
    text-align: right;
}

.agregarEsp2 {
    background-color: rgb(76, 153, 66);
    border: none;
}

.agregarEsp2:hover {
    background-color: rgb(53, 105, 46);
}

.btnEditEliEsp {
    display: flex;
    flex-direction: column;
    padding: 5px;
}

.editEspe {
        background-color: #faeb66;
        border: none;
}

.delEspe {
     background-color:  #ff5e5e;
     border: none;
}

@media (max-width: 768px) {

.tituloPerros2 {
    text-align: center !important;
    padding: 0%;
    padding-left: 10px;
    margin: 0;
    width: 100%;
    align-items: center;
    margin-bottom: 10px;
}

.contEspecialidades {
    width: 90%;
    height: auto;
    flex-direction: column;
    justify-content: center;
}

.contFotoEspecialista {
    width: 80%;
    overflow: hidden;     /* Evita que sobresalga */
    margin: auto;
}

.descEspecialista {
    padding: 0%;
    width: 100%;
    margin: 10px auto 0;   /* Reduce la separación vertical */
    text-align: center;
}


.btnEditEliEsp {
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: center;
    gap: 20px;
    padding: 5px;
}

.btnEditEliEsp button {
    width: 60px;
    height: 60px;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.icoBotT2 {
    width: 20px;
    height: 20px;
}

.modalEditEspe,
.modalNewEspe {
    margin-top: 100px;
}

}

@media screen and (min-width: 769px) and (max-width: 1024px) {

.contEspecialidades {
    width: 80%;
   
}

.contFotoEspecialista {
    height: 100%;
    overflow: hidden;     /* Evita que sobresalga */
    margin: auto;
}

.btnEditEliEsp {
    gap: 30px;
}


}